# Misc Commands

All of the base urls will start with the following:

```
https://www.theliveitup34.com/api/v1/cmd/
```

This is to note to make it easier for you to understand each end point is a diffrent operation.

## Multi Command

<mark style="color:green;">`GET`</mark> `/api/v1/cmd/multi`

This endpoint is to create a multitwitch.tv link with all given usernames using a custom command with !multi command eg.

```
!multi user1 user2 user3 user4
or 
!multi @user1 @user2 @user3 @user4
```

### Submitting Data to the API

To submit data to the API using the `GET` method, include the usernames as query parameters in your request. Provide the usernames directly in the URL format as shown below:

#### Example Request

```http
GET /api/v1/cmd/multi?users=user1%20user2%20user3%20user4
```

#### Header Request

For sending the usernames in a header request, use the following format:

```http
GET /api/v1/cmd/multi
Multi: user1 user2 user3 user4
```

Example cURL Request

```sh
curl -H "Multi: user1 user2 user3 user4" "theliveitup34.com/api/v1/cmd/multi"
```

When you make a request using either method, the API will generate a multitwitch.tv link if successful, or return an error message if no users are provided.

Both formats will work and you can get instant commands to specific bots at [theliveitup34.com/tools/misc-commands/multi](https://www.theliveitup34.com/tools/misc-commands/multi)

The following is an example of how the command will respond on success or failure of usage

{% tabs %}
{% tab title="Success" %}

```
https://multitwitch.tv/user1/user2/user3/user4
```

{% endtab %}

{% tab title="Failed" %}

```
No users provided
```

{% endtab %}
{% endtabs %}

## Random Question

<mark style="color:green;">`GET`</mark> `/api/v1/cmd/random_questions`

This is a random question response that does 91 different questions and responds with a random one upon request to the server.

The Following is an example of how to use it and you can see how to install or setup to specific bots at [theliveitup34.com/tools/misc-commands/question](https://www.theliveitup34.com/tools/misc-commands/question)

```
!question
```

**Example Response**

{% tabs %}
{% tab title="Success" %}

```
What's your favorite piece of clothing you own? 
```

{% endtab %}
{% endtabs %}

## Translate

<mark style="color:green;">`GET`</mark> `/api/v1/cmd/translate`

Allows for the live translation within chat to translate from one language to another.

The following is an example of how to use it and you can see how to install or setup to specific bots at [theliveitup34.com/tools/misc-commands/translate](https://www.theliveitup34.com/tools/misc-commands/translate)

```
!translate hola esta es una traduccion
or 
!translate es Hello this is a translation
```

### Submitting Data to the API

#### Method 1: Query Parameter

Submit data using a query parameter in the `GET` request:

```http
GET /api/v1/cmd/translate?text=hola%20esta%20es%20una%20traduccion
```

Replace `text` with your input data to be translated.

#### Method 2: Request Header

Submit data using the `Translate` header in the `GET` request:

```http
GET /api/v1/cmd/translate
Translate: hola esta es una traduccion
```

Example cURL Request

```shell
curl -H "Translate: hola esta es una traduccion" "theliveitup34.com/api/v1/cmd/translate"
```

Set the `Translate` header to the input data you wish to translate.

Example Response&#x20;

{% tabs %}
{% tab title="Example 1 Success" %}

```
Translated: Hello this is a translation
```

{% endtab %}

{% tab title="Example 2 Success" %}

```
Translated: hola esta es una traduccion
```

{% endtab %}

{% tab title="Failed" %}

```
No text provided
```

{% endtab %}
{% endtabs %}
